<template>
  <div class="gallery-container">
    <h4 class="title">گالری تصاویر</h4>
    <div class="gallery">
      <ImageUploadField class="image-field" v-model="pictureOne" id="image-1" title="تصویر اول" @input="onUpdate" />
      <ImageUploadField class="image-field" v-model="pictureTwo" id="image-2" title="تصویر دوم" @input="onUpdate" />
      <ImageUploadField class="image-field" v-model="pictureThree" id="image-3" title="تصویر سوم" @input="onUpdate" />
    </div>
  </div>
</template>

<script>
import ImageUploadField from "@/components/dashboard/ImageUploadField";

export default {
  name: "GalleryForm",
  components: {
    ImageUploadField
  },
  data() {
    return {
      pictureOne: this.value && this.value[0] ? `${process.env.baseUrl}/${this.value[0].path}` : '',
      pictureTwo: this.value && this.value[1] ? `${process.env.baseUrl}/${this.value[1].path}` : '',
      pictureThree: this.value && this.value[2] ? `${process.env.baseUrl}/${this.value[2].path}` : '',
      data: this.value
    }
  },
  props: {
    value: {
      type: Array,
      default: null
    }
  },
  methods: {
    onUpdate(image, change) {
      if (change) {
        this.$emit('change');
      }
      this.data = [];
      if (this.pictureOne) {
        this.data.push(this.pictureOne);
      }
      if (this.pictureTwo) {
        this.data.push(this.pictureTwo);
      }
      if (this.pictureThree) {
        this.data.push(this.pictureThree);
      }
      this.$emit('input', this.data);
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.title
  color $grey
  margin-bottom $sm

.gallery-container
  width 100%
  
.gallery 
  border 2px dashed $grey 
  padding $md
  display flex
  justify-content space-between
  width 100%

.image-field
  width 30%
</style>